
export function memo_simple<T>(ttl: number, func: () => T) : () => T {
	let value: T;
	let expires: number;

	return function memoized() : T {
		const now = Date.now();

		if (value == null || expires < now) {
			value = func();
			expires = now + ttl;
		}

		return value;
	};
}
